<?php
/*
Whois.php        PHP classes to conduct whois queries

Copyright (C)1999,2005 easyDNS Technologies Inc. & Mark Jeftovic

Maintained by David Saez (david@ols.es)

For the most recent version of this package visit:

http://www.phpwhois.org

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

if (!defined('__IANA_HANDLER__'))
	define('__IANA_HANDLER__', 1);

require_once('whois.parser.php');

class iana_handler
	{

	function parse($data_str, $query)
		{

		$items = array(
                  'owner' => 'Registrant:',
                  'admin' => 'Administrative Contact:',
                  'tech' => 'Technical Contact:',
                  'domain.nserver.' => 'Nameserver:',
                  '' => 'Nameserver Information:'
		              );

		$fields = array(
					'Name:' 			=> 'name',
					'Organization:' 	=> 'organization',
					'Address1:'			=> 'address.street.0',
					'Address2:'			=> 'address.street.1',
					'Address3:'			=> 'address.street.2',
					'City:'				=> 'address.city',
					'State/Province:'	=> 'address.state',					
					'Postal Code:'		=> 'address.pcode',
					'Country:'			=> 'address.country',					
					'Phone:'			=> 'phone',
					'Fax:'				=> 'fax',
					'Email:'			=> 'email',
					'Registration Date:'=> '',
					'Last Updated Date:'=> ''
						);
						
		$r = get_blocks($data_str, $items);
		
		if (isset($r['owner']))
			{
			$r['owner'] = generic_parser_b($r['owner'],$fields,'ymd',false);
			
			if (isset($r['admin']))
				$r['admin'] = generic_parser_b($r['admin'],$fields,'ymd',false);
		
			if (isset($r['tech']))
				$r['tech'] = generic_parser_b($r['tech'],$fields,'ymd',false);
				
			$r['registered'] = 'yes';
			}
		else
			$r['registered'] = 'no';
			
		return ($r);
		}
	}
?>
