<?php
/*
Whois.php        PHP classes to conduct whois queries

Copyright (C)1999,2005 easyDNS Technologies Inc. & Mark Jeftovic

Maintained by David Saez (david@ols.es)

For the most recent version of this package visit:

http://www.phpwhois.org

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

if (!defined('__PL_HANDLER__'))
	define('__PL_HANDLER__', 1);

require_once('whois.parser.php');

class pl_handler
	{
	function parse($data_str, $query)
		{
		$items = array(
                	'created:' 				=> 'domain.created',
                	'last modified'			=> 'domain.changed',
                	'REGISTRAR:'			=> 'domain.sponsor',
                	"registrant's handle:"	=> 'owner.handle',
                	
					);

		$r['regrinfo'] = generic_parser_b($data_str['rawdata'], $items, 'ymd');			

		if ($r['regrinfo']['registered'] == 'yes')
			{
			$found = false;
			
			foreach($data_str['rawdata'] as $line)
				{
				if ($found)
					{
					if (strpos($line,':')) break;
					$r['regrinfo']['domain']['nserver'][] = $line;
					}
	
				if (strpos($line,'nameservers:') !== false)
					{
					$found = true;
					$r['regrinfo']['domain']['nserver'][] = substr($line,13);
					}
				}
			}

		$r['regyinfo'] = array(
			'referrer' => 'http://www.dns.pl/english/index.html',
			'registrar' => 'NASK'
			);

		return ($r);
		}
	}
?>
